function Isyn = Isynaptic2(Isyn_old,g_syn,gam,x_rp,x_post,spike_pre,C);
%Synaptic current
%usage: Isyn = Isynaptic(Isyn_old,g_syn,gam,x_rp,x,spike_pre);

%initialize Isyn
Isyn = zeros(size(Isyn_old));

%find the index of non-zero elements in the connectivity matrix C
ind = find(C); [ind_i ind_j] = ind2sub(size(C),ind);

ind2pre = find(spike_pre==0);% index of neurons that did not spike in the last iteration
ind2post_tmp = find(ismember(ind_i,ind2pre)); %
ind2post = ind_j(ind2post_tmp);
% size(ind2post)
if ~isempty(ind2post)
    [ind2post,m2,n2] = unique(ind2post);
    m2 = [m2(1),diff(m2)'];
    Isyn(ind2post) = (gam*Isyn_old(ind2post))./m2;

end


% figure(2);plot(spike_pre)
%Determine the synaptic footprint of the pre-synaptic neurons
ind1pre = find(spike_pre==1); %index of neurons that spiked

ind1post_tmp = find(ismember(ind_i,ind1pre)); %
ind1post = ind_j(ind1post_tmp);

if ~isempty(ind1post) %(if a presynaptic neuron spiked)
   [ind1post,m1,n1] = unique(ind1post); 
    m1 = [m1(1),diff(m1)']; %determine the number of synaptic inputs to the postsynaptic neuron
    Isyn(ind1post) = (gam*Isyn_old(ind1post) - g_syn.*(x_post(ind1post)-x_rp))./m1; %synaptic current 
                                                %normalized by the number
                                                %of incident synapses
    
end
