function [X,Y,u] = RS2(x,y,Isyn1,Isyn2,I_hp,extIP,param);
%usage: [X,Y,u] = RS2(x,y,Isyn1,Isyn2,I_hp,extIP,param);
%note: I_hp is not used in this version of the map

%initialize X and Y
X = zeros(1,length(x(2,:)));
Y = zeros(1,length(y(2,:)));

%specify map parameters
beta_e = param.beta_e;
beta_ext = param.beta_ext;
alp = param.alp;
mu = param.mu;
sig = param.sig;
sig_e = param.sig_e;
sig_ext = param.sig_ext;

% calculate inputs to each cell
beta_n = beta_e*(Isyn1 + Isyn2) +  beta_ext*extIP;

%set limits on beta_n; -0.0001<beta_n<1
ind1 = find(beta_n>1);
beta_n(ind1) = 1;
ind2 = find(beta_n<-0.0001);
beta_n(ind2) = -0.0001;

sig_n = sig_e*(Isyn1 + Isyn2) + sig_ext*extIP;
u = y(2,:) + beta_n;

%calculate x
%condition 1
ind1 = find(x(2,:)<=0);
if ~isempty(ind1)
    X(ind1) = alp./(1-x(2,ind1)) + u(ind1);
end

%condition 2
ind2 = find(x(2,:)>0 & x(2,:)<(alp + u) &  x(1,:)<=0);
if ~isempty(ind2)
    X(ind2) = alp + u(ind2);
end

%condition 3
ind3 = find(x(2,:)>=alp+u | x(1,:)>0);
if ~isempty(ind3)
    X(ind3) = -1;
end

%calculate y
Y = y(2,:) - mu*(x(2,:) + 1) + mu*sig + mu*sig_n;

u = Y + beta_n;